Deploy a blueprint
curl --request POST \
--url https://api.useblueprints.ai/api/blueprints/{id}/deploy \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/blueprints/{id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/blueprints/{id}/deploy"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentId": "<string>",
"visual": "<unknown>",
"nodeStates": "<unknown>",
"error": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Blueprints
Deploy a blueprint
Starts a reviewed blueprint. API keys need the blueprints:deploy scope. The response includes the updated status and deployment identifier when deployment succeeds.
POST
/
api
/
blueprints
/
{id}
/
deploy
Deploy a blueprint
curl --request POST \
--url https://api.useblueprints.ai/api/blueprints/{id}/deploy \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/blueprints/{id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/blueprints/{id}/deploy"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentId": "<string>",
"visual": "<unknown>",
"nodeStates": "<unknown>",
"error": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Resource UUID.